Permanently deletes a trunk and all its associated configurations (phone numbers, ACLs, destination URIs).
⚠️ Warning: This action cannot be undone. All associated phone number mappings, whitelisted IPs, and destination URIs will be permanently deleted.
https://<your_api_key>:<your_api_token>@<subdomain>/v2/accounts/<your_sid>/trunks?trunk_sid=<trunk_sid>
If you’d prefer response in JSON format, just append .json at the end of the HTTP DELETE request.
Replace <your_api_key> and <your_api_token> with the API key and token created by you.
<your_sid> with your “Account sid”<subdomain> with the region of your account<your_api_key> , <your_api_token> and <your_sid> are available in the API settings page of your Exotel Dashboard
| Header | Value |
|---|---|
| Content-Type | application/json |
curl -X DELETE "https://<your_api_key>:<your_api_token>@<subdomain>/v2/accounts/<your_sid>/trunks?trunk_sid=<trunk_sid>"
On success, the HTTP response status code will be 200 OK
{
"request_id": "f708818c79f547b3aee31c4a480367a5",
"method": "DELETE",
"http_code": 200,
"response": {
"code": 200,
"error_data": null,
"status": "success",
"data": {
"trunk_name": "my_trunk1234",
"date_created": "2026-01-23T13:25:39Z",
"date_updated": "2026-01-23T13:25:39Z",
"trunk_sid": "trmum15f77c83605998cdb9d1a1n",
"status": "active",
"domain_name": "ameyo5m.pstn.exotel.com",
"auth_type": "IP-WHITELIST",
"registration_enabled": "disabled",
"edge_preference": "auto",
"nso_code": "ANY-ANY",
"secure_trunking": "disabled",
"destination_uris": "/v2/accounts/ameyo5m/trunks/trmum15f77c83605998cdb9d1a1n/destination-uris",
"whitelisted_ips": "/v2/accounts/ameyo5m/trunks/trmum15f77c83605998cdb9d1a1n/whitelisted-ips",
"credentials": "/v2/accounts/ameyo5m/trunks/trmum15f77c83605998cdb9d1a1n/credentials",
"phone_numbers": "/v2/accounts/ameyo5m/trunks/trmum15f77c83605998cdb9d1a1n/phone-numbers"
}
}
}